fehler bei ./config

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Sunshine
Newbie
Newbie
Beiträge: 15
Registriert: 28. Aug 2006, 14:41

fehler bei ./config

Beitrag von Sunshine » 29. Aug 2006, 01:34

Code: Alles auswählen

hecking for libz... -lz
checking for libpng... -lpng -lz -lm
checking for libjpeg6b... no
checking for libjpeg... no
configure: WARNING: libjpeg not found. disable JPEG support.
checking for perl... /usr/bin/perl
checking for Qt... configure: error: Qt (>= Qt 3.2 and < 4.0) (headers and libraries) not found. Please check your installation!
For more details about this problem, look at the end of config.log.
das spuckt er mir beim ./configure von einem kde tool aus -.-. und andere programme gehen irgendwie auch nicht zu kompilieren.. brauche dringend hilfe.

Werbung:
traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 29. Aug 2006, 02:52

Die Pakete libjpeg-devel und qt3-devel installieren.
openSUSE Factory - GNOME 2.32.1

Sunshine
Newbie
Newbie
Beiträge: 15
Registriert: 28. Aug 2006, 14:41

Beitrag von Sunshine » 29. Aug 2006, 13:10

wenn ich versuche dies zu tun, erhalte ich eine abhängigkeit zu Pkgconfig, aber immer wenn ich diese von meinen suse cds installieren will bekomm ich eine fehlermeldung. kann man die pakete auch anders installieren?

Benutzeravatar
Martin Breidenbach
Ultimate Guru
Ultimate Guru
Beiträge: 5632
Registriert: 26. Mai 2004, 21:33
Wohnort: N 50.17599° E 8.73367°

Beitrag von Martin Breidenbach » 29. Aug 2006, 13:29

Ja.
Nicht Böse sein ! Der Onkel macht doch nur Spaß !

Sunshine
Newbie
Newbie
Beiträge: 15
Registriert: 28. Aug 2006, 14:41

Beitrag von Sunshine » 29. Aug 2006, 14:24

ok ich hab nun andere quelle angegeben; und zwar die ftp von suse. habe die genannten pakete installiert und nun kommt dies:

Code: Alles auswählen

checking whether uic supports -L ... yes
checking whether uic supports -nounload ... yes
checking if Qt needs -ljpeg... no
checking for rpath... yes
checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!
Tut mir leid ich bin noch totaler Linux-Anfänger.

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 29. Aug 2006, 20:36

kdelibs3-devel
kdebase3-devel

Und so weiter: Bei jeder von ./configure als fehlend bemängelten Bibliothek das "-devel"-Paket.

Oder gleich die gesamte Selektion "KDE-Entwicklung" installieren.
openSUSE Factory - GNOME 2.32.1

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste